Skip to main content
GET
Get a report

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Report ID

Response

Report details

A typed, schema-validated report an agent submitted against a task. Reports are immutable.

created_at
string<date-time>
required

When the report was submitted

data
object
required

Report data, matching the report type's schema

id
string
required

Unique identifier for the report

occurred_at
string<date-time>
required

When the reported event happened

schema_version
integer
required

Version of the report type's schema that data was validated against

task_id
string
required

ID of the task the report belongs to

type
string
required

Report type name

Example:

"task.result"

session_id
string | null

ID of the browser the report was observed in, if any